# Java
*.class
*.log
*.ctxt
.mtj.tmp/
*.jar
*.war
*.nar
*.ear
*.zip
*.tar.gz
*.rar
hs_err_pid*

# Maven
target/
pom.xml.tag
pom.xml.releaseBackup
pom.xml.versionsBackup
pom.xml.next
release.properties
dependency-reduced-pom.xml
buildNumber.properties
.mvn/timing.properties
.mvn/wrapper/maven-wrapper.properties

# Gradle
.gradle/
build/
!src/main/resources/gradle/wrapper/gradle-wrapper.jar
!gradle-wrapper.jar

# IDEs
.idea/
*.iml
*.ipr
*.iws
.eclipse/
.classpath
.project
.settings/
.vscode/

# .NET / C#
bin/
obj/
.vs/
*.user
*.suo
*.userprefs
*.lock.json
*.dll
*.pdb
*.cache
*_i.c
*_p.c
*.meta
*.stylecop
*.ruleset

# NuGet Packages
*.nupkg
**/[Pp]ackages/*
!**/[Pp]ackages/build/

# Windows
Thumbs.db
ehthumbs.db
Desktop.ini
$RECYCLE.BIN/

# MacOS
.DS_Store

# Common Logs
*.log
